"""Added printtemplates table.

Revision ID: 8060bec310c8
Revises: 9ae404fe1635
Create Date: 2016-08-25 13:17:31.334303

"""

# revision identifiers, used by Alembic.
revision = '8060bec310c8'
down_revision = '9ae404fe1635'

from alembic import op
import sqlalchemy as sa


INSERTS = """"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('printtemplates',
    sa.Column('uuid', sa.CHAR(length=36), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('mid', sa.Integer(), nullable=True),
    sa.Column('name', sa.Text(), nullable=True),
    sa.Column('data', sa.LargeBinary(), nullable=True),
    sa.Column('description', sa.Text(), nullable=True),
    sa.Column('size', sa.Integer(), nullable=True),
    sa.Column('mime', sa.Text(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_printtemplates_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['mid'], ['modules.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_printtemplates_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('nm_application_printtemplates',
    sa.Column('iid', sa.Integer(), nullable=True),
    sa.Column('tid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['iid'], [u'applications.id'], ),
    sa.ForeignKeyConstraint(['tid'], ['printtemplates.id'], )
    )
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('nm_application_printtemplates')
    op.drop_table('printtemplates')
    ### end Alembic commands ###
    iter_statements(DELETES)
